
**ANNALS REPLICATION DO-FILE
**BELIEF GLOBAL WARMING IS HAPPENING

**TABLE 1
***PUBLC ONLY
*MODEL 1
oprobit GlbWrmHap Education Age Female Income Minority2 Allknow Climatwarm2 Media TrustGov SciOvercom Hierarchy Individualism Republican Democrat Liberal Conservative if Public==1
*MODEL 2
oprobit GlbWrmHap Education Age Female Income Minority2 Allknow Climatwarm2 Media TrustGov SciOvercom Hierarchy Individualism Republican Democrat Liberal Conservative LibXAllknow ConsXAllknow RepXAllknow DemXAllknow if Public==1

***SCIENTIST ONLY
*MODEL 1
oprobit GlbWrmHap Education Age Female Income Minority2 Allknow Climatwarm2 Media TrustGov SciOvercom Hierarchy Individualism Republican Democrat Liberal Conservative if Scientist==1
*MODEL 2
oprobit GlbWrmHap Education Age Female Income Minority2 Allknow Climatwarm2 Media TrustGov SciOvercom Hierarchy Individualism Republican Democrat Liberal Conservative LibXAllknow ConsXAllknow RepXAllknow DemXAllknow if Scientist==1

***POLICYMAKER ONLY
*MODEL 1
oprobit GlbWrmHap Education Age Female Income Minority2 Allknow Climatwarm2 Media TrustGov SciOvercom Hierarchy Individualism Republican Democrat Liberal Conservative if Policymaker==1
*MODEL 2
oprobit GlbWrmHap Education Age Female Income Minority2 Allknow Climatwarm2 Media TrustGov SciOvercom Hierarchy Individualism Republican Democrat Liberal Conservative LibXAllknow ConsXAllknow RepXAllknow DemXAllknow if Policymaker==1



**TABLE 2 - BELIEF GLOBAL WARMING IS ANTHROPOGENIC
***PUBLC ONLY
*MODEL 1
oprobit  GlbWrmPeopl2 Education Age Female Income Minority2 Allknow Climatwarm2 Media TrustGov SciOvercom Hierarchy Individualism Republican Democrat Liberal Conservative if Public==1
*MODEL 2
oprobit  GlbWrmPeopl2 Education Age Female Income Minority2 Allknow Climatwarm2 Media TrustGov SciOvercom Hierarchy Individualism Republican Democrat Liberal Conservative LibXAllknow ConsXAllknow RepXAllknow DemXAllknow if Public==1

***SCIENTIST ONLY
*MODEL 1
oprobit  GlbWrmPeopl2 Education Age Female Income Minority2 Allknow Climatwarm2 Media TrustGov SciOvercom Hierarchy Individualism Republican Democrat Liberal Conservative if Scientist==1
*Model 2
oprobit  GlbWrmPeopl2 Education Age Female Income Minority2 Allknow Climatwarm2 Media TrustGov SciOvercom Hierarchy Individualism Republican Democrat Liberal Conservative LibXAllknow ConsXAllknow RepXAllknow DemXAllknow if Scientist==1

***POLICYMAKER ONLY
*MODEL 1
oprobit  GlbWrmPeopl2 Education Age Female Income Minority2 Allknow Climatwarm2 Media TrustGov SciOvercom Hierarchy Individualism Republican Democrat Liberal Conservative if Policymaker==1
*MODEL 2
oprobit  GlbWrmPeopl2 Education Age Female Income Minority2 Allknow Climatwarm2 Media TrustGov SciOvercom Hierarchy Individualism Republican Democrat Liberal Conservative LibXAllknow ConsXAllknow RepXAllknow DemXAllknow if Policymaker==1


**********************
**Clarify Commands to Produce Figure 2
****FIGURE 2 - BELIEF GLOBAL WARMING IS HAPPENING
*PUBLIC ONLY

estsimp oprobit GlbWrmHap Education Age Female Income Minority2 Allknow Climatwarm2 Media TrustGov SciOvercom Hierarchy Individualism Republican Democrat Liberal Conservative LibXAllknow ConsXAllknow RepXAllknow DemXAllknow if Public==1
setx mean
setx LibXAllknow max
simqi, genpv (GlbWrmHap_libmaxAllknow)
setx LibXAllknow min  
simqi, genpv (GlbWrmHap_libminAllknow)

**
setx mean
setx ConsXAllknow min
simqi, genpv (GlbWrmHap_conminAllknow)
setx ConsXAllknow max
simqi, genpv (GlbWrmHap_conmaxAllknow)


****FIGURE 2 - BELIEF GLOBAL WARMING IS ANTHROPOGENIC
*MODEL 2
estsimp oprobit  GlbWrmPeopl2 Education Age Female Income Minority2 Allknow Climatwarm2 Media TrustGov SciOvercom Hierarchy Individualism Republican Democrat Liberal Conservative LibXAllknow ConsXAllknow RepXAllknow DemXAllknow if Public==1

setx mean
setx LibXAllknow max
simqi, genpv (GlbWrmPeopl2_libmaxAllknow)
setx LibXAllknow min  
simqi, genpv (GlbWrmPeopl2_libminAllknow)

**
setx mean
setx ConsXAllknow min
simqi, genpv (GlbWrmPeopl2_conminAllknow)
setx ConsXAllknow max
simqi, genpv (GlbWrmPeopl2_conmaxAllknow)


. sum GlbWrmPeopl2_libmaxAllknow

    Variable |        Obs        Mean    Std. Dev.       Min        Max
-------------+---------------------------------------------------------
GlbWrmPeop.. |      1,000       4.759    1.620971          1          7

. sum GlbWrmPeopl2_libminAllknow

    Variable |        Obs        Mean    Std. Dev.       Min        Max
-------------+---------------------------------------------------------
GlbWrmPeop.. |      1,000       4.443    1.585328          1          7

. sum GlbWrmPeopl2_conminAllknow

    Variable |        Obs        Mean    Std. Dev.       Min        Max
-------------+---------------------------------------------------------
GlbWrmPeop.. |      1,000       4.715    1.587544          1          7

. sum GlbWrmPeopl2_conmaxAllknow

    Variable |        Obs        Mean    Std. Dev.       Min        Max
-------------+---------------------------------------------------------
GlbWrmPeop.. |      1,000       3.817    1.703647          1          7

. sum GlbWrmHap_libmaxAllknow

    Variable |        Obs        Mean    Std. Dev.       Min        Max
-------------+---------------------------------------------------------
GlbWrmHap_.. |      1,000       5.196    1.538815          1          7

. sum GlbWrmHap_libminAllknow

    Variable |        Obs        Mean    Std. Dev.       Min        Max
-------------+---------------------------------------------------------
GlbWrmHap_.. |      1,000       5.075    1.565192          1          7

. sum GlbWrmHap_conminAllknow

    Variable |        Obs        Mean    Std. Dev.       Min        Max
-------------+---------------------------------------------------------
GlbWrmHap_.. |      1,000       5.324    1.480275          1          7

. sum GlbWrmHap_conmaxAllknow

    Variable |        Obs        Mean    Std. Dev.       Min        Max
-------------+---------------------------------------------------------
GlbWrmHap_.. |      1,000       4.011    1.729124          1          7





*MODEL 2* AS ORIGINALLY CREATED FOR FIGURE 2* REMEMBER USING "GlbWrmPeopl" which is reverse coded from the Table. 
estsimp oprobit GlbWrmPeopl Education Age Female Income Minority2 Allknow Climatwarm2 Media TrustGov SciOvercom Hierarchy Individualism Republican Democrat Liberal Conservative LibXAllknow ConsXAllknow RepXAllknow DemXAllknow if Public==1

setx mean
setx LibXAllknow max
simqi, genpv (GlbWrmPeopl_libmaxAllknow)
setx LibXAllknow min  
simqi, genpv (GlbWrmPeopl_libminAllknow)

**
setx mean
setx ConsXAllknow min
simqi, genpv (GlbWrmPeopl_conminAllknow)
setx ConsXAllknow max
simqi, genpv (GlbWrmPeopl_conmaxAllknow)


. sum GlbWrmPeopl_libmaxAllknow

    Variable |        Obs        Mean    Std. Dev.       Min        Max
-------------+---------------------------------------------------------
~bmaxAllknow |      1,000       3.277    1.630623          1          7

. sum GlbWrmPeopl_libminAllknow

    Variable |        Obs        Mean    Std. Dev.       Min        Max
-------------+---------------------------------------------------------
~bminAllknow |      1,000       3.556    1.604818          1          7

. sum GlbWrmPeopl_conminAllknow

    Variable |        Obs        Mean    Std. Dev.       Min        Max
-------------+---------------------------------------------------------
~nminAllknow |      1,000       3.355    1.644895          1          7

. sum GlbWrmPeopl_conmaxAllknow

    Variable |        Obs        Mean    Std. Dev.       Min        Max
-------------+---------------------------------------------------------
~nmaxAllknow |      1,000       4.241    1.670242          1          7



